GNU bug report logs - #55540
29.0.50; ERC launches autojoin-channels in current frame instead of original frame

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: important; Reported by: Pankaj Jangid <pankaj@HIDDEN>; Keywords: moreinfo patch; merged with #51753; dated Fri, 20 May 2022 13:07:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 55540 <at> debbugs.gnu.org:


Received: (at 55540) by debbugs.gnu.org; 7 Sep 2022 12:55:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 08:55:58 2022
Received: from localhost ([127.0.0.1]:53964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVub0-0002nJ-4l
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:55:58 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1oVuay-0002n1-Hp; Wed, 07 Sep 2022 08:55:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=hFpQhSMP5A05x/0wxyzE/C3XMUuNamVmlgyWxhZTXk0=; b=Baomum+KpihsP2Oo1D8My/8qWr
 FCQeTbx2QwRyCXhqecqCW8EjikZYDvgQApYf4krxC/O9Kt2O+MXRFxRzH9hWvthlTWLZTGNkSkzrt
 kBnBKm7at9PUkXT5sdcUruOirDql8AaaeT+95C5iNMBtHM+vhyAEAmyHJdt7psbWeS5M=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVuap-0006vf-Iv; Wed, 07 Sep 2022 14:55:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "J.P." <jp@HIDDEN>
Subject: Re: bug#55540: 29.0.50; ERC launches autojoin-channels in current
 frame instead of original frame
In-Reply-To: <874jxj282o.fsf@HIDDEN> (J. P.'s message of "Tue, 06 Sep
 2022 20:10:23 -0700")
References: <878rqwjqua.fsf@HIDDEN> <87a6b92ers.fsf@HIDDEN>
 <875ylxm07b.fsf@HIDDEN> <87fsl0zo2e.fsf@HIDDEN>
 <87a68cnss7.fsf_-_@HIDDEN> <87sfm3tro1.fsf@HIDDEN>
 <87o7vsu5pc.fsf_-_@HIDDEN> <87o7vs38yp.fsf@HIDDEN>
 <87y1uwr47b.fsf@HIDDEN> <874jxj282o.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAACVBMVEWhlEBJRSr////o
 CFXIAAAAAWJLR0QCZgt8ZAAAAAlwSFlzAAABLAAAASwAc4jpUgAAAAd0SU1FB+YJBhYCMCj24n4A
 AADgSURBVCjPdZLRCgQhCEUVxneD/J+CejfI//+VtWxmdx9GmMHDvZlKAO+BdqKcXG/4U9AUqDEt
 oF+F0r/tR3kFfAXg0Ut5musi30Yzj6/CYz4CjJ7KA/XqkWxI0h+lpbTu4OXFBmukAL4AJwNyO6Db
 vsA/5QMrSI/trvoDDNz4htZS1kgzSascgF0HVw24xGQ03b1zrdV6juGv7OvIqe4Ta0E6B22lqBjV
 HqWzFDSxPQNQ8Q3aPNvz7Yhp1XONhwSg22xaiQ6WQoanUS8gdmz+p/UaQvBbux+7h55kou9v6gPB
 V0n+mfEx0AAAAFplWElmTU0AKgAAAAgABQESAAMAAAABAAEAAAEaAAUAAAABAAAASgEbAAUAAAAB
 AAAAUgEoAAMAAAABAAEAAAITAAMAAAABAAEAAAAAAAAAAAEsAAAAAQAAASwAAAABYCqauwAAACV0
 RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0wNlQyMjowMjo0NyswMDowMGs0yuQAAAAldEVYdGRhdGU6
 bW9kaWZ5ADIwMjItMDktMDZUMjI6MDI6NDcrMDA6MDAaaXJYAAAAF3RFWHRleGlmOllDYkNyUG9z
 aXRpb25pbmcAMawPgGMAAAAASUVORK5CYII=
X-Now-Playing: Ash Walker - =?utf-8?B?4oCYVGhlcmXigJlz?= Nothing Like
 =?utf-8?Q?This=E2=80=99?= (Exclusive track)'s
 _Late Night Tales: Version Excursions (Selected By Don Letts)_:
 "Originally recorded by Omar "
Date: Wed, 07 Sep 2022 14:55:47 +0200
Message-ID: <87mtbbmjho.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "J.P." <jp@HIDDEN> writes: > I believe changing the
 default
 for `erc-join-buffer' (alone) to `bury' > is the easiest way to achieve that.
 > > Thus, if no one objects within the next week or so, I will add the patch
 > below or s [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55540
Cc: 55540 <at> debbugs.gnu.org, 51753 <at> debbugs.gnu.org, emacs-erc@HIDDEN,
 Pankaj Jangid <pankaj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"J.P." <jp@HIDDEN> writes:

> I believe changing the default for `erc-join-buffer' (alone) to `bury'
> is the easiest way to achieve that.
>
> Thus, if no one objects within the next week or so, I will add the patch
> below or similar to trunk (and what will become ERC 5.5), along with a
> related NEWS entry. Thanks.

Thanks; makes sense to me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55540; Package emacs. Full text available.

Message received at 55540 <at> debbugs.gnu.org:


Received: (at 55540) by debbugs.gnu.org; 7 Sep 2022 03:10:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 23:10:37 2022
Received: from localhost ([127.0.0.1]:53073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVlSW-0008N8-W4
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 23:10:37 -0400
Received: from mail-108-mta111.mxroute.com ([136.175.108.111]:35065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1oVlSU-0008Mu-8e
 for 55540 <at> debbugs.gnu.org; Tue, 06 Sep 2022 23:10:35 -0400
Received: from mail-111-mta2.mxroute.com ([136.175.111.2]
 mail-111-mta2.mxroute.com) (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta111.mxroute.com (ZoneMTA) with ESMTPSA id
 18315ed78af000dd1a.003 for <55540 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Wed, 07 Sep 2022 03:10:28 +0000
X-Zone-Loop: ad23ca6d4d82dfe6e81058f22c823fc3fab2dfaeb469
X-Originating-IP: [136.175.111.2]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:
 Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Y9yBcVSqrEmte5ZgV3THgrVWy5wPJIewXM34E7HPg5I=; b=ZxwXpD236OJzb7JIrpGfPx0dch
 xEgh7VHaw8AwSsQMeW9Ky3eMWhy1meeT6+KA4NnMaGCeVd85KXWXfTf0H7Tabcvl1hplCtUJuvAa6
 ghlj0xkukHh1mEMr90BtdxHaJ8LX4tkquDnXL9WLOfNciOJ9QxJK+bP82e0uRK8bsFm/ZVTWjbhVc
 b6pTtoas029FVzf2iBh0j4Rk4tSNQ45dLRCe04l1T9iEGdTBgEjRveY6VPf97y6wxc7luXlWABo/P
 ZlqxkjpdvNxrbT6tDfLCeIJ7TG/cDWFS0l/8MZJ+ywKr8mCOSAJ1jEYCxeIzmmqqCpO70+YeUxepD
 8D5l93HQ==;
From: "J.P." <jp@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55540: 29.0.50; ERC launches autojoin-channels in current
 frame instead of original frame
References: <878rqwjqua.fsf@HIDDEN> <87a6b92ers.fsf@HIDDEN>
 <875ylxm07b.fsf@HIDDEN> <87fsl0zo2e.fsf@HIDDEN>
 <87a68cnss7.fsf_-_@HIDDEN> <87sfm3tro1.fsf@HIDDEN>
 <87o7vsu5pc.fsf_-_@HIDDEN> <87o7vs38yp.fsf@HIDDEN>
 <87y1uwr47b.fsf@HIDDEN>
Date: Tue, 06 Sep 2022 20:10:23 -0700
In-Reply-To: <87y1uwr47b.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 06 Sep 2022 16:02:32 +0200")
Message-ID: <874jxj282o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Authenticated-Id: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55540
Cc: 55540 <at> debbugs.gnu.org, 51753 <at> debbugs.gnu.org, emacs-erc@HIDDEN,
 Pankaj Jangid <pankaj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> "J.P." <jp@HIDDEN> writes:
>
>> Really, the only safe option is `bury' (well, maybe also the proposed
>> frame stuff in Pankaj's patch, but only when an extra, ERC-specific
>> frame already exists, which we can't count on). That said, there's no
>> reason we'd have to stick with existing options/behavior when choosing a
>> new default. I guess it just comes down to what users want to happen.
>
> I think the default action should be to do nothing to the window setup
> at all, and just add the notification to the mode line.

I believe changing the default for `erc-join-buffer' (alone) to `bury'
is the easiest way to achieve that.

Thus, if no one objects within the next week or so, I will add the patch
below or similar to trunk (and what will become ERC 5.5), along with a
related NEWS entry. Thanks.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Bury-new-ERC-buffers-by-default.patch

From 8b4edbca2771227d4e6ee464ddd210080339f63b Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Tue, 6 Sep 2022 19:09:54 -0700
Subject: [PATCH] Bury new ERC buffers by default

* lisp/erc/erc.el (erc-join-buffer): Change default value to `bury'.
* test/lisp/erc/erc-scenarios-base-reconnect.el
(erc-scenarios-common-base-reconnect-options): Update helper to handle
new default value for option `erc-join-buffer'.
(erc-scenarios-base-reconnect-options--buffer): Update and rename
function `erc-scenarios-base-reconnect-options--default'.
(erc-scenarios-base-reconnect-options--default): Update and rename
function `erc-scenarios-base-reconnect-options--bury'.
---
 lisp/erc/erc.el                               |  3 +-
 test/lisp/erc/erc-scenarios-base-reconnect.el | 45 ++++++++++---------
 2 files changed, 25 insertions(+), 23 deletions(-)

diff --git a/lisp/erc/erc.el b/lisp/erc/erc.el
index 151d75e7ce..657ef8cdb3 100644
--- a/lisp/erc/erc.el
+++ b/lisp/erc/erc.el
@@ -1651,7 +1651,7 @@ erc-default-port-tls
   "IRC port to use for encrypted connections if it cannot be \
 detected otherwise.")
 
-(defcustom erc-join-buffer 'buffer
+(defcustom erc-join-buffer 'bury
   "Determines how to display a newly created IRC buffer.
 
 The available choices are:
@@ -1662,6 +1662,7 @@ erc-join-buffer
   `bury'            - bury it in a new buffer,
   `buffer'          - in place of the current buffer,
   any other value  - in place of the current buffer."
+  :package-version '(ERC . "5.4.1") ; FIXME increment upon publishing to ELPA
   :group 'erc-buffers
   :type '(choice (const :tag "Split window and select" window)
                  (const :tag "Split window, don't select" window-noselect)
diff --git a/test/lisp/erc/erc-scenarios-base-reconnect.el b/test/lisp/erc/erc-scenarios-base-reconnect.el
index 30d692058d..49298dc594 100644
--- a/test/lisp/erc/erc-scenarios-base-reconnect.el
+++ b/test/lisp/erc/erc-scenarios-base-reconnect.el
@@ -99,10 +99,11 @@ erc-scenarios-common--base-reconnect-options
 
     (funcall test)
 
+    ;; A manual /JOIN command tells ERC we're done auto-reconnecting
     (with-current-buffer "FooNet" (erc-cmd-JOIN "#spam"))
 
-    (erc-d-t-wait-for 5 "Channel #spam shown when autojoined"
-      (eq (window-buffer) (get-buffer "#spam")))
+    (erc-d-t-ensure-for 1 "Newly joined chan ignores `erc-reconnect-display'"
+      (not (eq (window-buffer) (get-buffer "#spam"))))
 
     (ert-info ("Wait for auto reconnect")
       (with-current-buffer erc-server-buffer
@@ -114,43 +115,43 @@ erc-scenarios-common--base-reconnect-options
       (with-current-buffer (erc-d-t-wait-for 10 (get-buffer "#spam"))
         (funcall expect 10 "her elves come here anon")))))
 
-(ert-deftest erc-scenarios-base-reconnect-options--default ()
+(ert-deftest erc-scenarios-base-reconnect-options--buffer ()
   :tags '(:expensive-test)
-  (should (eq erc-join-buffer 'buffer))
+  (should (eq erc-join-buffer 'bury))
   (should-not erc-reconnect-display)
 
   ;; FooNet (the server buffer) is not switched to because it's
   ;; already current (but not shown) when `erc-open' is called.  See
   ;; related conditional guard towards the end of that function.
 
-  (erc-scenarios-common--base-reconnect-options
-   (lambda ()
-     (pop-to-buffer-same-window "*Messages*")
+  (let ((erc-reconnect-display 'buffer))
+    (erc-scenarios-common--base-reconnect-options
+     (lambda ()
+       (pop-to-buffer-same-window "*Messages*")
 
-     (erc-d-t-ensure-for 1 "Server buffer not shown"
-       (not (eq (window-buffer) (get-buffer "FooNet"))))
+       (erc-d-t-ensure-for 1 "Server buffer not shown"
+         (not (eq (window-buffer) (get-buffer "FooNet"))))
 
-     (erc-d-t-wait-for 5 "Channel #chan shown when autojoined"
-       (eq (window-buffer) (get-buffer "#chan"))))))
+       (erc-d-t-wait-for 5 "Channel #chan shown when autojoined"
+         (eq (window-buffer) (get-buffer "#chan")))))))
 
-(ert-deftest erc-scenarios-base-reconnect-options--bury ()
+(ert-deftest erc-scenarios-base-reconnect-options--default ()
   :tags '(:expensive-test)
-  (should (eq erc-join-buffer 'buffer))
+  (should (eq erc-join-buffer 'bury))
   (should-not erc-reconnect-display)
 
-  (let ((erc-reconnect-display 'bury))
-    (erc-scenarios-common--base-reconnect-options
+  (erc-scenarios-common--base-reconnect-options
 
-     (lambda ()
-       (pop-to-buffer-same-window "*Messages*")
+   (lambda ()
+     (pop-to-buffer-same-window "*Messages*")
 
-       (erc-d-t-ensure-for 1 "Server buffer not shown"
-         (not (eq (window-buffer) (get-buffer "FooNet"))))
+     (erc-d-t-ensure-for 1 "Server buffer not shown"
+       (not (eq (window-buffer) (get-buffer "FooNet"))))
 
-       (erc-d-t-ensure-for 3 "Channel #chan not shown"
-         (not (eq (window-buffer) (get-buffer "#chan"))))
+     (erc-d-t-ensure-for 3 "Channel #chan not shown"
+       (not (eq (window-buffer) (get-buffer "#chan"))))
 
-       (eq (window-buffer) (messages-buffer))))))
+     (eq (window-buffer) (messages-buffer)))))
 
 ;; Upon reconnecting, playback for channel and target buffers is
 ;; routed correctly.  Autojoin is irrelevant here, but for the
-- 
2.37.2


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55540; Package emacs. Full text available.

Message received at 55540 <at> debbugs.gnu.org:


Received: (at 55540) by debbugs.gnu.org; 6 Sep 2022 14:02:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 10:02:48 2022
Received: from localhost ([127.0.0.1]:52189 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVZA8-0001lM-1g
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 10:02:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1oVZA5-0001l2-E4; Tue, 06 Sep 2022 10:02:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=YPvbzeEiTslEYcAoLO3EodK6bRg2q3bXPoMBi++6Oag=; b=C5jGNOjll7RUVlkBbD+R71tQB+
 R2Mhupch+H1ElsgSXleBEeibReiZeAqHf/TeOz82B6X+MyPmm5P7FOXImRvs3G0bplN7TGxR6xLHW
 /52OaYwTehr+alVz6NlAu9bfFgj13ipyf3cf3oFDPeC/u5wRegqd2qzybp4AQ/AN355o=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVZ9v-0005I0-GQ; Tue, 06 Sep 2022 16:02:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "J.P." <jp@HIDDEN>
Subject: Re: bug#55540: 29.0.50; ERC launches autojoin-channels in current
 frame instead of original frame
In-Reply-To: <87o7vs38yp.fsf@HIDDEN> (J. P.'s message of "Tue, 06 Sep
 2022 06:53:34 -0700")
References: <878rqwjqua.fsf@HIDDEN> <87a6b92ers.fsf@HIDDEN>
 <875ylxm07b.fsf@HIDDEN> <87fsl0zo2e.fsf@HIDDEN>
 <87a68cnss7.fsf_-_@HIDDEN> <87sfm3tro1.fsf@HIDDEN>
 <87o7vsu5pc.fsf_-_@HIDDEN> <87o7vs38yp.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEWvPDZcRDIRCwrX
 son///9/75/RAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YJBg4AMX/yQqIAAAHDSURBVDjLjZPrsesg
 DIQFNICgAYQbMFb/vd1d+ZE4c35cJhPb+mD1RKTK5BLJ83sJFh5pnM8voNhqU2oe0l4gJ51CoZHe
 JzLVMo9JektRPfPvB8BaqSOi+gJDIiKZbzvCEeH29DZHXvzpr33CIxLQNv8Af6+fQnyBOa39L6gX
 0PomVR+ALfbYzdsJLE/f2iePzaNjYuNQL2t9lLzRq2jX6r6nx4/u8S+pVlX3eWtZ05q0ddG8Lfc1
 1wO6u+cuzQde1I4b4DikizQbvruPfIPdY2E0NoeWTZPTjV/AjZp7Q3waldZCexHdKLrmhniNel2p
 4MIXRxU6i0KxfpxSeOkE0XTWtRvtS+B78wNRsr293eAg2HFgIN/SCrLZ5ALYgM9htSAt5D8CzAAQ
 0KgEtxhj8iZmiBVf7fQJ7+VyrosZJNN+gXEDY6BqZXndU/SWpbiAqTkSTVSNGiUCSs0ACtCMHVWO
 /wWg3Q9rbQBU3OVwYVHu1bFNLfnSLvPuNhusUxO87ZgFoSjtrbLVk03pyxTOr9HtiAXFJdiy4Z7d
 w9kjOxQZWpyg53qUM21akVlt3+CI6QkgHxBtjCg0HH1uWr9mkXaAf5OiilE4aSzrAAAAJXRFWHRk
 YXRlOmNyZWF0ZQAyMDIyLTA5LTA2VDE0OjAwOjQ5KzAwOjAw43qbggAAACV0RVh0ZGF0ZTptb2Rp
 ZnkAMjAyMi0wOS0wNlQxNDowMDo0OSswMDowMJInIz4AAAAASUVORK5CYII=
X-Now-Playing: The Police's _Outlandos d'Amour_: "Hole in my Life"
Date: Tue, 06 Sep 2022 16:02:32 +0200
Message-ID: <87y1uwr47b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  "J.P." <jp@HIDDEN> writes: > Are you concerned about
 the behavior during initial connections as well > as automatic reconnections?
 Yes. Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55540
Cc: 55540 <at> debbugs.gnu.org, 51753 <at> debbugs.gnu.org, emacs-erc@HIDDEN,
 Pankaj Jangid <pankaj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"J.P." <jp@HIDDEN> writes:

> Are you concerned about the behavior during initial connections as well
> as automatic reconnections?

Yes.

> Really, the only safe option is `bury' (well, maybe also the proposed
> frame stuff in Pankaj's patch, but only when an extra, ERC-specific
> frame already exists, which we can't count on). That said, there's no
> reason we'd have to stick with existing options/behavior when choosing a
> new default. I guess it just comes down to what users want to happen.

I think the default action should be to do nothing to the window setup
at all, and just add the notification to the mode line.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55540; Package emacs. Full text available.

Message received at 55540 <at> debbugs.gnu.org:


Received: (at 55540) by debbugs.gnu.org; 6 Sep 2022 13:53:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 09:53:50 2022
Received: from localhost ([127.0.0.1]:50213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVZ1S-0000zi-0d
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 09:53:50 -0400
Received: from mail-108-mta90.mxroute.com ([136.175.108.90]:42425)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1oVZ1P-0000zK-1P
 for 55540 <at> debbugs.gnu.org; Tue, 06 Sep 2022 09:53:47 -0400
Received: from mail-111-mta2.mxroute.com ([136.175.111.2]
 mail-111-mta2.mxroute.com) (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta90.mxroute.com (ZoneMTA) with ESMTPSA id 1831313f120000dd1a.003
 for <55540 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Tue, 06 Sep 2022 13:53:37 +0000
X-Zone-Loop: ee00fe405e1be48862f851fd6b2a0825fe2b65b528f9
X-Originating-IP: [136.175.111.2]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:
 Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=9WOsywh+e2Xyaj/ZYU7yAT7GsJXRPaH+QPHioyc6KdE=; b=cAdK1BcZJFaWCshBVxdleJwqUz
 GoD9Kqgf3KMy1uKT/im/wV3W+WKVutLXaBGdaxBrWgpz1YJHHepM/1zQliwsi/9gOy+499YqHMALC
 6jzfDi/3mmwh8ekS1igjMnvHSRuIIDX/5npGhp8F5N3gGX+fGnd22Sg/l9wg0Xf1fGoohAw7ov7Jh
 kvC65FHMgHqlPrZlXFJReExezrlKuqjLeFwlVwtZntFam8tDSzJ9vlWbdaaLpmAsT/XJQ8G7tLr6A
 0gR0JFVnqZ0+X4EhmFzyTUK1WlEp/oVr7Hbk8/wjCs9n2wlFYso9McNujYF5S3A5Aij1uQ+9O98Eb
 Uu3tiujQ==;
From: "J.P." <jp@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55540: 29.0.50; ERC launches autojoin-channels in current
 frame instead of original frame
References: <878rqwjqua.fsf@HIDDEN> <87a6b92ers.fsf@HIDDEN>
 <875ylxm07b.fsf@HIDDEN> <87fsl0zo2e.fsf@HIDDEN>
 <87a68cnss7.fsf_-_@HIDDEN> <87sfm3tro1.fsf@HIDDEN>
 <87o7vsu5pc.fsf_-_@HIDDEN>
Date: Tue, 06 Sep 2022 06:53:34 -0700
In-Reply-To: <87o7vsu5pc.fsf_-_@HIDDEN> (Lars Ingebrigtsen's message of
 "Tue, 06 Sep 2022 13:01:51 +0200")
Message-ID: <87o7vs38yp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Authenticated-Id: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55540
Cc: 55540 <at> debbugs.gnu.org, 51753 <at> debbugs.gnu.org, emacs-erc@HIDDEN,
 Pankaj Jangid <pankaj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Lars,

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> erc still pops up the buffer by default, I think?  I don't think it
> should do that, because it's both pretty annoying and a security
> issue -- you may suddenly be typing a password into an erc buffer.

Are you concerned about the behavior during initial connections as well
as automatic reconnections? Regardless, as you say, the default value of
`buffer' for `erc-join-buffer' (and `erc-reconnect-display') causes the
buffer in the selected window to be replaced with the
just-(re)initialized ERC buffer.

Also, depending on various factors, values other than `buffer' can
exhibit similar behavior. For example, in a dual-window split, a value
of `window-noselect' can result in a newly (re)joined channel replacing
the buffer in the selected window when the connection's server buffer is
showing in the other window. Plain `window' is much the same, but at
least there's somewhat of an expectation that the selected window's
buffer may change.

Really, the only safe option is `bury' (well, maybe also the proposed
frame stuff in Pankaj's patch, but only when an extra, ERC-specific
frame already exists, which we can't count on). That said, there's no
reason we'd have to stick with existing options/behavior when choosing a
new default. I guess it just comes down to what users want to happen.

If we're talking both `erc-join-buffer' and `erc-reconnect-display', one
idea would be to make `window-noselect' the default but change it to
mean the selected window is always left unmolested, no matter what. The
justification for the breaking change would be that the existing doc
string in

  (const :tag "Split window, don't select" window-noselect)

has always implied as much, namely that a window displaying the new
buffer will always be shown and never selected.

Although, if this only concerns `erc-reconnect-display', we could just
go with `bury' since (among the available options) that best minimizes
the disruption of a reestablished connection.

Hopefully folks have stronger opinions and/or better ideas. Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55540; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55540 <at> debbugs.gnu.org:


Received: (at 55540) by debbugs.gnu.org; 6 Sep 2022 11:02:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 07:02:02 2022
Received: from localhost ([127.0.0.1]:49740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVWLC-00062U-Dr
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 07:02:02 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55722)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1oVWLA-00061r-Vv; Tue, 06 Sep 2022 07:02:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=E3O1m2qp3XWqF9TBknFHEuJZx75IrVaVpYP+pRna0+4=; b=tTImkBYPRxmyZBTdGjomtBlxyp
 ahdylK3XoTO670PWdXwuwodFCy9VxdD8T6Q7fKP54+M+luT0cjN17btWG6s2B5ak8OwL0yWT3tI4L
 WO95wBJ3/bK//2/3lLyScD7PX0sSan/qEw/gsWKMxivU5ZV465I1ToojBEiEKxP6niUg=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVWL1-0003mS-MG; Tue, 06 Sep 2022 13:01:53 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#55540: 29.0.50; ERC launches autojoin-channels in current
 frame instead of original frame
In-Reply-To: <87sfm3tro1.fsf@HIDDEN> (Pankaj Jangid's message of
 "Thu, 11 Aug 2022 08:25:42 +0530")
References: <878rqwjqua.fsf@HIDDEN> <87a6b92ers.fsf@HIDDEN>
 <875ylxm07b.fsf@HIDDEN> <87fsl0zo2e.fsf@HIDDEN>
 <87a68cnss7.fsf_-_@HIDDEN> <87sfm3tro1.fsf@HIDDEN>
X-Now-Playing: David Bowie's _"Heroes"_: "Sons Of The Silent Age"
Date: Tue, 06 Sep 2022 13:01:51 +0200
Message-ID: <87o7vsu5pc.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  erc still pops up the buffer by default, I think? I don't
 think it should do that, because it's both pretty annoying and a security
 issue -- you may suddenly be typing a password into an erc buffer. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55540
Cc: 55540 <at> debbugs.gnu.org, 51753 <at> debbugs.gnu.org, emacs-erc@HIDDEN,
 "J.P." <jp@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

erc still pops up the buffer by default, I think?  I don't think it
should do that, because it's both pretty annoying and a security
issue -- you may suddenly be typing a password into an erc buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55540; Package emacs. Full text available.
Forcibly Merged 51753 55540. Request was from Pankaj Jangid <pankaj@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55540 <at> debbugs.gnu.org:


Received: (at 55540) by debbugs.gnu.org; 20 May 2022 13:38:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 09:38:10 2022
Received: from localhost ([127.0.0.1]:38015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns2pV-0000oi-T6
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 09:38:10 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ns2pS-0000oD-Qt
 for 55540 <at> debbugs.gnu.org; Fri, 20 May 2022 09:38:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=dGVOtyOHgomyTqzVmUeTPNrwWQEB/9bEMzkkddJQDXY=; b=Iu47gF08yqUIXNDqSvrWkqzz8j
 Ds1TdKuU1aatDaXxvxkNq5rkrf2Nwxd1OM6GSJMqEtn3UendHhzqlM1CrdZDJqzL4yoOtQ5zeWFd3
 FRUDRhsUktj4FX7P9HSSVUriyi/aXOcO/W2JutFlROYFjIzt4yqkNKTf7Y85iA4DR2SE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ns2pJ-00085Q-9v; Fri, 20 May 2022 15:37:59 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#55540: 29.0.50; ERC launches autojoin-channels in current
 frame instead of original frame
References: <878rqwjqua.fsf@HIDDEN> <87zgjc1hah.fsf@HIDDEN>
 <874k1kjpol.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEUtLjE0NDZBQUI+
 PkBDPThURjeMZzx+XztuVTqacEAeJzNnZmRUVFM/P0H////30LR9AAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+YFFAweJ2MDblcAAAFdSURBVDjLtVS9bsIwED6rQmI8h4alS6FjJ+AJkFA7I1GLbiBxh9UN
 CSLWStTKI/Q5umZj7tQnqm0wPyEpMPSGKL7P3/18dzIAgLTmPwcWQTARXNt/QOeVKE8Y2xsAeQB9
 EjzNIYUssjagLAGK/S7UlcBBKBS+DOF66sY2uZouUlomKfcN1YdjQ1UekOoAPpPWZsJqqilRTGTM
 C7FpgayMSb/OuL7ityfDelRnoZktUB2zTojt5U9OlnrKKiFyQGWmFpSaVHfNJO3N1byy7L0PQ7k3
 VjJpxYzkfeR12/WR3WXfX9ljts7WYVAbERtRU7aa0Vo+NILsGGaItjlxJImfYU79mmdYGSAHhO3A
 k3H5IosBLANKQxVbrWDXAnButOJCRu3c+mAZAyG37gfAMaNTlqN5wYr+AYirGf8E7Bp0O3TbLxDR
 aRV/+CtHofwzE6/2T0cbWpuDo8SDfaifX1UMdZ/EfAsAAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIy
 LTA1LTIwVDEyOjMwOjM5KzAwOjAwt9zCAwAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNS0yMFQx
 MjozMDozOSswMDowMMaBer8AAAAASUVORK5CYII=
X-Now-Playing: Tuxedomoon's _Ten Years In One Night (Live)_: "Italian Western"
Date: Fri, 20 May 2022 15:37:55 +0200
In-Reply-To: <874k1kjpol.fsf@HIDDEN> (Pankaj Jangid's message of
 "Fri, 20 May 2022 19:01:38 +0530")
Message-ID: <87v8u01g0c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Pankaj Jangid <pankaj@HIDDEN> writes: > What is the
    control command for marking the bug as duplicate? I couldn’t > locate such
    a command in "debbugs" package. It's "forcemerge" -- it should be available
    in the debbugs-gnu package; it's what I use for merging/closing/reopening
    bug reports. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55540
Cc: 55540 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Pankaj Jangid <pankaj@HIDDEN> writes:

> What is the control command for marking the bug as duplicate? I couldn=E2=
=80=99t
> locate such a command in "debbugs" package.

It's "forcemerge" -- it should be available in the debbugs-gnu package;
it's what I use for merging/closing/reopening bug reports.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55540; Package emacs. Full text available.

Message received at 55540 <at> debbugs.gnu.org:


Received: (at 55540) by debbugs.gnu.org; 20 May 2022 13:31:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 09:31:50 2022
Received: from localhost ([127.0.0.1]:38007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns2jN-0000eW-TK
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 09:31:50 -0400
Received: from mail-pg1-f179.google.com ([209.85.215.179]:33379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1ns2jM-0000eF-0l
 for 55540 <at> debbugs.gnu.org; Fri, 20 May 2022 09:31:48 -0400
Received: by mail-pg1-f179.google.com with SMTP id r71so7788034pgr.0
 for <55540 <at> debbugs.gnu.org>; Fri, 20 May 2022 06:31:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=mAL6bA+vVHzwjhw5mVxltWK4ISFX+IRV/ivaRz2LgeU=;
 b=UZNkqLYTgMPErEgSWU8afJkmI7zPcudTxUIXXlZ6TssoT/WXuq+kOeSshHlPTM7R+I
 JpJV8Y8Tp3HpRsWaH0J6bJg29zv9NVH5RcWOl5H8cPiPKmpiltOrlQEQIFRZc/Im1604
 6wKiGRv1CvYycS/FjtYiyLnEhIWFOitj3sk85DWZLOdYqFcimDpznnDydK9LGDhTnn1P
 kwl59HM/Ak34yHma51I/8sWOOuo1xn4DVZTcO6NCBlmOncmuMc0RDmNfq+a+hOppzpw/
 zygz+l/ym9seCnB8W6tqHRO2d1DEZcHxWwxP6mTTrAp5yyyQqorsv1e9JvaK7/GCQXdN
 8Z+Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=mAL6bA+vVHzwjhw5mVxltWK4ISFX+IRV/ivaRz2LgeU=;
 b=AuM95aQDWojq9IJUED4goSbikRq/2BTBls+IVUeJcQVUT+HvJk5na2K9fiGYPNaU7s
 JkkIbw7Y4bKgBA4XgDrSOXqs9LFKSvkJHQssjRWPosWU28e19EPY1nwtLWvSwHWw5Z/y
 C3N0GMGguEQwA9i+zoadkVNSracSugWJ3u84a211C3nAiFMyyNUBOZDo8wjXPbqsfzgH
 ZtgU4ujv4kyKaK0uStwT+311ytlz5uL+TvaV49oXfUAeFlHJ6mfpr8ff8wEuv8sZkWZG
 rIIORhCUp2VCszYqMz41rdpt35H67ow2ytNGLZXam52DbBk6URYZgFlefXQ2Ft3vRHHu
 +BYw==
X-Gm-Message-State: AOAM530RKzyizhTxhBFs64VZWB96FdpzSlUW0gQY5ql5KHRZiKX4lEMu
 6ZOP1yviNP+zKSyJtlTlNAfJNMcC9UvTyg==
X-Google-Smtp-Source: ABdhPJwTXEQCjZRYzwn6QjDxd7Ut4Vbr1Z0dD2BYwohKP+ajhwznJtMvxV5ZAt1V59AKUSnjzbQFvg==
X-Received: by 2002:a63:4765:0:b0:3ab:812a:ded2 with SMTP id
 w37-20020a634765000000b003ab812aded2mr8723453pgk.214.1653053502036; 
 Fri, 20 May 2022 06:31:42 -0700 (PDT)
Received: from anant ([49.36.236.57]) by smtp.gmail.com with ESMTPSA id
 a7-20020a17090a740700b001d9780b7779sm1963133pjg.15.2022.05.20.06.31.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 20 May 2022 06:31:41 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55540: 29.0.50; ERC launches autojoin-channels in current
 frame instead of original frame
References: <878rqwjqua.fsf@HIDDEN> <87zgjc1hah.fsf@HIDDEN>
Date: Fri, 20 May 2022 19:01:38 +0530
In-Reply-To: <87zgjc1hah.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 20 May 2022 15:10:14 +0200")
Message-ID: <874k1kjpol.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55540
Cc: 55540 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> This is somewhat related to bug#51753 -- how erc handles these buffer
> actions should be changed in general.

Thanks. Setting the value of erc-join-buffer to =E2=80=99bury is a good
workaround. Found in that bug discussion.

What is the control command for marking the bug as duplicate? I couldn=E2=
=80=99t
locate such a command in "debbugs" package.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55540; Package emacs. Full text available.

Message received at 55540 <at> debbugs.gnu.org:


Received: (at 55540) by debbugs.gnu.org; 20 May 2022 13:10:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 09:10:28 2022
Received: from localhost ([127.0.0.1]:37964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns2Oi-0008WA-GG
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 09:10:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ns2Og-0008Vw-MW
 for 55540 <at> debbugs.gnu.org; Fri, 20 May 2022 09:10:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/Jgpaw+Y17NT3+XJdAERKz46FykyTD77wdv5roLktvg=; b=LUV7M2Ba7OpGiXI/+pNpn8Oao7
 EkbYX2gIpWtv0gQl4UE13CsHM+qDq62NhGSPZxYStFq6j6GzENL57nLHyaSfFsXH05dUDCJ+hKdz7
 m5viwo9Fi1kRx9qv5ceAp9DnJsW+eYzayZAleZqgVArpNRskkmM3BH5uZ6xfF6GWQLyk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ns2OX-0007tg-Rs; Fri, 20 May 2022 15:10:20 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#55540: 29.0.50; ERC launches autojoin-channels in current
 frame instead of original frame
References: <878rqwjqua.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEUtLjE0NDZBQUI+
 PkBDPThURjeMZzx+XztuVTqacEAeJzNnZmRUVFM/P0H////30LR9AAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+YFFAweJ2MDblcAAAFdSURBVDjLtVS9bsIwED6rQmI8h4alS6FjJ+AJkFA7I1GLbiBxh9UN
 CSLWStTKI/Q5umZj7tQnqm0wPyEpMPSGKL7P3/18dzIAgLTmPwcWQTARXNt/QOeVKE8Y2xsAeQB9
 EjzNIYUssjagLAGK/S7UlcBBKBS+DOF66sY2uZouUlomKfcN1YdjQ1UekOoAPpPWZsJqqilRTGTM
 C7FpgayMSb/OuL7ityfDelRnoZktUB2zTojt5U9OlnrKKiFyQGWmFpSaVHfNJO3N1byy7L0PQ7k3
 VjJpxYzkfeR12/WR3WXfX9ljts7WYVAbERtRU7aa0Vo+NILsGGaItjlxJImfYU79mmdYGSAHhO3A
 k3H5IosBLANKQxVbrWDXAnButOJCRu3c+mAZAyG37gfAMaNTlqN5wYr+AYirGf8E7Bp0O3TbLxDR
 aRV/+CtHofwzE6/2T0cbWpuDo8SDfaifX1UMdZ/EfAsAAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIy
 LTA1LTIwVDEyOjMwOjM5KzAwOjAwt9zCAwAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNS0yMFQx
 MjozMDozOSswMDowMMaBer8AAAAASUVORK5CYII=
X-Now-Playing: Tuxedomoon's _Ten Years In One Night (Live)_: "Litebulb
 Overkill"
Date: Fri, 20 May 2022 15:10:14 +0200
In-Reply-To: <878rqwjqua.fsf@HIDDEN> (Pankaj Jangid's message of
 "Fri, 20 May 2022 18:36:37 +0530")
Message-ID: <87zgjc1hah.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Pankaj Jangid <pankaj@HIDDEN> writes: > Result:
 After
 the ERC connects to the server, it opens the autojoin > channels in the current
 frame. Ideally, it should open the channels in > the (dedicated) original
 frame where ERC was launched. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55540
Cc: 55540 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Pankaj Jangid <pankaj@HIDDEN> writes:

> Result: After the ERC connects to the server, it opens the autojoin
> channels in the current frame. Ideally, it should open the channels in
> the (dedicated) original frame where ERC was launched.

This is somewhat related to bug#51753 -- how erc handles these buffer
actions should be changed in general.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55540; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 May 2022 13:06:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 09:06:49 2022
Received: from localhost ([127.0.0.1]:37949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns2LA-0008PK-GZ
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 09:06:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:35858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1ns2L8-0008PC-FU
 for submit <at> debbugs.gnu.org; Fri, 20 May 2022 09:06:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35916)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pankaj@HIDDEN>)
 id 1ns2L8-0002Kf-AB
 for bug-gnu-emacs@HIDDEN; Fri, 20 May 2022 09:06:46 -0400
Received: from mail-pl1-x632.google.com ([2607:f8b0:4864:20::632]:41683)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <pankaj@HIDDEN>)
 id 1ns2L5-0000Wo-TW
 for bug-gnu-emacs@HIDDEN; Fri, 20 May 2022 09:06:46 -0400
Received: by mail-pl1-x632.google.com with SMTP id s14so7306071plk.8
 for <bug-gnu-emacs@HIDDEN>; Fri, 20 May 2022 06:06:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20210112.gappssmtp.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=CAwx7wIWu3E7+2vjFRD8VG5pFMgoGhh65p/9bUpYlHo=;
 b=OuUah7pj23UCzgs219bL0GmOA9Pi4Ueci/GH+Io66gn9FwXvozo6WgByipvRmDRegF
 S0+0mSlBNxNxSQpUTaJ3PVRP8xpQg8Hfga7/Pu6CVq5gh5zQVfldenMBUbtt6FgO9hbm
 MneIVpJacVHTjrunoLB7doXlyPQ90S+26aPbK8oviQOyWK5VnSKz0Ulfhy7kwAsRAfyI
 vWbnmNuxtBtaIfHu+OC8ZvachSYFbtkJRqMR978acG4TK//1ld4JJY7NxSx72tuM4mto
 l8ceDcEYBJg6VemiE6Vymxoyl4Kb7wWU8uxzDDBEf7KPEUtDj+ri6VfYHhjvOfmB0c1M
 ULKQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=CAwx7wIWu3E7+2vjFRD8VG5pFMgoGhh65p/9bUpYlHo=;
 b=RhEQTyGhbKqAq9vIoK2hUhoeMO2QiWPkdfB5Vvt0lYBU9GNt5ilQucM2etsp5CY7DD
 1uQofZUtmpatJOwlVi4SIeEpkzB6f+hOlV0rHm6xm3ZdM6u3leC7RnpaECzdGa5y1Z9C
 tIkTsXpAxWl8D4WqT4fZLYVZflalbZG/0CWlT3HVSP7ji4xJHs7GbE8toFju2lnHojBJ
 +lGFYOM3ndQlRzMDOK6bSnBWKRZj6Y9Fp0VNVz27Pe4p8w97hA5FoaOYdDWLG3HW9s96
 2BrBv/h7O494ybXeZ1t7lt4UkEDV5PbMslQSzyEd9qmu/eJ3AnKPaPOpIH5ei9oJewpm
 1ndg==
X-Gm-Message-State: AOAM530hreVrMBI9rsIwbyVYLHAIpN8qC0BP0wvzE6fEbx44ofUWidda
 EwDxSFXxde9bJIYyTievx13hS7AeHSzNsg==
X-Google-Smtp-Source: ABdhPJzNUIwwpNeKlzk4q6S9E1LsuXNIl/M5sitjyBILS5HTHzQ8vfU/xjpz8damA9EClYGhMPPDyA==
X-Received: by 2002:a17:902:e806:b0:15e:7f0c:ce2b with SMTP id
 u6-20020a170902e80600b0015e7f0cce2bmr9437537plg.100.1653052001095; 
 Fri, 20 May 2022 06:06:41 -0700 (PDT)
Received: from anant ([49.36.236.57]) by smtp.gmail.com with ESMTPSA id
 n22-20020a056a0007d600b0050dc7628139sm1923922pfu.19.2022.05.20.06.06.39
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 20 May 2022 06:06:40 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; ERC launches autojoin-channels in current frame instead of
 original frame
Date: Fri, 20 May 2022 18:36:37 +0530
Message-ID: <878rqwjqua.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: none client-ip=2607:f8b0:4864:20::632;
 envelope-from=pankaj@HIDDEN; helo=mail-pl1-x632.google.com
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, HEADER_FROM_DIFFERENT_DOMAINS=0.249,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_NONE=0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.1 (---)


This could be considered a feature request. Because I have not used
Emacs in this way before, so I don=E2=80=99t know what was the behaviour
earlier. Here is what happens,

1. emacs -Q

2. C-x 5 2

3. (setq erc-autojoin-channels-alist '(("libera.chat" "#emacs" "#erc" "#gnu=
s")))

4. M-x erc-tls ; with following parameters - (irc.libera.chat, 6697,
   nickname, password)

5. While it is connecting to the server, switch to the other frame to
   work on other stuff

Result: After the ERC connects to the server, it opens the autojoin
channels in the current frame. Ideally, it should open the channels in
the (dedicated) original frame where ERC was launched.


In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, c=
airo version 1.16.0)
 of 2022-05-20 built on anant
Repository revision: 8a7d8bb04b38ba9849b60d63c9fcfd36856eb424
Repository branch: master
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure --prefix=3D/home/pankaj/.local --with-pgtk'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG JSON
LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 MODULES NOTIFY INOTIFY
PDUMPER PGTK PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS XIM
GTK3 ZLIB

Important settings:
  value of $LANG: en_IN.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  gnus-undo-mode: t
  editorconfig-mode: t
  which-key-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  shell-dirtrack-mode: t
  override-global-mode: t
  hl-line-mode: t
  savehist-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/pankaj/.emacs.d/elpa/transient-20220514.945/transient hides /home/pan=
kaj/.local/share/emacs/29.0.50/lisp/transient

Features:
(shadow misearch multi-isearch cl-print debug backtrace emacsbug tabify
org-capture org-refile gnus-html help-fns url-cache mailalias smtpmail
flyspell ispell sort smiley gnus-cite mm-archive mail-extr textsec
uni-scripts idna-mapping ucs-normalize uni-confusable textsec-check
gnus-bcklg qp gnus-async gnus-ml nndraft nnmh utf-7 nnml nnfolder
bbdb-gnus bbdb-mua bbdb-com gnus-agent gnus-srvr gnus-score score-mode
nnvirtual gnus-msg nntp gnus-cache .gnus network-stream nsm epa-file
erc-list erc-menu erc-join erc-ring erc-networks erc-pcomplete erc-track
erc-match erc-button erc-fill erc-stamp erc-netsplit erc-goodies erc
erc-backend erc-loaddefs autoload radix-tree gnus-dired diary-lib
diary-loaddefs rng-xsd xsd-regexp rng-cmpct rng-nxml rng-valid rng-loc
rng-uri rng-parse nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns
nxml-mode nxml-outln nxml-rap sgml-mode facemenu nxml-util nxml-enc
xmltok sql view yaml-mode markdown-mode bug-reference conf-mode ol-eww
eww xdg url-queue mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect
gnus-art mm-uu mml2015 mm-view mml-smime smime gnutls dig gnus-sum shr
pixel-fill kinsoku url-file url-dired svg dom gnus-group gnus-undo
gnus-start gnus-dbus dbus xml gnus-cloud nnimap nnmail mail-source utf7
netrc nnoo gnus-spec gnus-int gnus-range gnus-win gnus nnheader range
ol-docview doc-view image-mode exif ol-bibtex ol-bbdb ol-w3m ol-doi
org-link-doi sh-script smie executable linum prettier-js js checkdoc
mule-util jka-compr vc-git company-oddmuse company-keywords
company-etags company-gtags company-dabbrev-code company-dabbrev
company-files company-clang company-capf company-cmake company-semantic
company-template company-bbdb company display-line-numbers elec-pair
editorconfig-core editorconfig-core-handle editorconfig-fnmatch init
my-init org-element avl-tree org org-macro org-footnote org-pcomplete
org-list org-faces org-entities org-version ob-plantuml ob-sql ob-css
ob-js ob-java ob-C cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs ob-python python ob-R ob ob-tangle
org-src ob-ref ob-lob ob-table ob-exp ob-comint ob-emacs-lisp ob-core
ob-eval org-table oc-basic bibtex ol org-keys oc org-compat advice
org-macs org-loaddefs cal-menu calendar cal-loaddefs sesman vc
vc-dispatcher clojure-mode lisp-mnt align editorconfig tree-sitter-langs
tree-sitter-langs-build tar-mode arc-mode archive-mode tree-sitter-hl
tree-sitter tree-sitter-load tree-sitter-cli tsc tsc-dyn tsc-dyn-get
dired-aux tsc-obsolete haskell-mode haskell-cabal haskell-utils
haskell-font-lock haskell-indentation haskell-string
haskell-sort-imports haskell-lexeme haskell-align-imports
haskell-complete-module haskell-ghc-support noutline outline
flymake-proc flymake warnings dabbrev haskell-customize go-mode
find-file ffap thingatpt etags fileloop generator gtags-mode xref
project which-key vterm magit-bookmark bookmark tramp tramp-loaddefs
trampver tramp-integration cus-edit pp wid-edit files-x tramp-compat
parse-time iso8601 ls-lisp face-remap compile color term disp-table
ehelp find-func vterm-module term/xterm xterm magit-submodule
magit-obsolete magit-blame magit-stash magit-reflog magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log which-func imenu magit-diff
smerge-mode diff diff-mode git-commit rx log-edit pcvs-util add-log
magit-core magit-autorevert autorevert filenotify magit-margin
magit-transient magit-process with-editor shell pcomplete comint ring
server ansi-color magit-mode transient magit-git magit-base
magit-section format-spec crm dash compat-27 compat-26 compat
exec-path-from-shell bbdb-message message sendmail yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec epa derived epg rfc6068
epg-config gnus-util text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr mailabbrev mail-utils gmm-utils mailheader bbdb bbdb-site
timezone edmacro kmacro modus-vivendi-theme modus-themes pcase delight
cl-extra help-mode use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key easy-mmode
use-package-core hl-line savehist desktop frameset avoid cus-load
finder-inf tex-site info package browse-url url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
mailcap url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json map url-vars seq gv subr-x
byte-opt bytecomp byte-compile cconv cl-loaddefs cl-lib early-init
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/pgtk-win pgtk-win term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice
simple cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese composite
emoji-zwj charscript charprop case-table epa-hook jka-cmpr-hook help
abbrev obarray oclosure cl-preloaded button loaddefs faces cus-face
macroexp files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo gtk pgtk lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 1240114 103092)
 (symbols 48 56131 26)
 (strings 32 244386 16200)
 (string-bytes 1 7269795)
 (vectors 16 129263)
 (vector-slots 8 2491781 350503)
 (floats 8 663 283)
 (intervals 56 6777 125)
 (buffers 992 118))




Acknowledgement sent to Pankaj Jangid <pankaj@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55540; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 7 Sep 2022 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.